#!/usr/bin/perl
#################### ABOUT ##################################
#                                                           #
# Script by Ken Kuhl        scripts@kenkuhl.com             #
#                                                           #
# http://www.kenkuhl.com    http://www.kenkuhl.com/scripts/ #
#                                                           #
# No warranty is offered or implied, use this script at     #
# your own risk.                                            #
#                                                           #
# This script is freeware, just include this information    #
# if you use or distribute it.                              #
#                                                           #
################# INSTRUCTIONS ##############################
# Remember to check the path to the Perl directory above,   #
# transfer the script in ASCII mode,                        #
# and CHMOD this script to 755.                             #
#                                                           #
# insert:  <!--#exec cgi="/cgi-bin/adlinks/adlinks.cgi"-->  #
# into an HTML document to put the ad/link into your page,  #
# change to location according to where adlinks.cgi is      #
# stored on your server.                                    #
#                                                           #
# The format of the data .txt file is as follows, a "|" is  #
# used to separate the fields:                              #
#                                                           #
# lead text|anchor text|link URL|target window|after text   #
#                                                           #
# "link URL" must contain complete URL, including http://   #
#                                                           #
# For "target window" field,                                #
# use "_blank" (no quotes) to open link in a new window.    #
#                                                           #
# Only the "anchor text" and "link URL" fields must         #
# contain data.                                             #
#                                                           #
# see sample.txt as an example.                             #
#############################################################

# Path to data files.  (No ending slash.)
$data_location = "/home/kenmkuhl/kenkuhl.com/scripts";

# File name of file containing links:
$file = "sample.txt";

#############################################################
# THE SCRIPT IS BELOW.  DO NOT EDIT UNLESS YOU ARE FAMILIAR #
# WITH PERL.                                                #
#############################################################

print "Content-type: text/html\n\n";

open (QUOTEFILE, "<$data_location/$file") || die print "Could not open ad links file";
	@line=<QUOTEFILE>;
	close (QUOTEFILE);
	srand;
	$array = $line[int rand(@line)];

	@adlink = split (/\|/, $array);

	print "$adlink[0] " if ($adlink[0]);
	print "<A HREF=\"$adlink[2]\"";
	print " TARGET=\"$adlink[3]\"" if ($adlink[3]);
	print ">$adlink[1]</A>";
	print " $adlink[4]" if ($adlink[4]);

exit;
